Bug 1427300 - [openigtlink] test failure on ppc64
Summary: [openigtlink] test failure on ppc64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openigtlink
Version: 26
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry Mikhirev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64
TreeView+ depends on / blocked
 
Reported: 2017-02-27 20:27 UTC by Dmitry Mikhirev
Modified: 2017-04-01 17:13 UTC (History)
1 user (show)

Fixed In Version: openigtlink-2.0-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-01 17:13:42 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openigtlink OpenIGTLink issues 123 None None None 2017-02-27 20:29:56 UTC

Description Dmitry Mikhirev 2017-02-27 20:27:11 UTC
One of tests in openigtlink 2.0 fails on ppc64 architecture. Looks like openigtlink may work incorrectly on big endian architectures. This issue was reported upstream: https://github.com/openigtlink/OpenIGTLink/issues/123

test 17
      Start 17: igtlPolyDataMessageTest
17: Test command: /builddir/build/BUILD/OpenIGTLink-2.0/build/bin/igtlPolyDataMessageTest "--gtest_filter=*.*FormatVersion1"
17: Test timeout computed to be: 1500
17: [ OK  ] PolyDataMessageTest.Pack
17: [ERROR] PolyDataMessageTest.Unpack
17/41 Test #17: igtlPolyDataMessageTest ..........***Failed    0.10 sec

Koji task: https://koji.fedoraproject.org/koji/taskinfo?taskID=18079494

Comment 1 Fedora End Of Life 2017-02-28 12:27:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora Update System 2017-03-17 19:15:00 UTC
openigtlink-2.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-732026623d

Comment 3 Fedora Update System 2017-03-17 22:23:45 UTC
openigtlink-2.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-732026623d

Comment 4 Fedora Update System 2017-04-01 17:13:42 UTC
openigtlink-2.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.